#ifndef MYBUSINESSLOGIC_H
#define MYBUSINESSLOGIC_H

#include <QObject>

class MyBusinessLogic : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString customerName READ customerName WRITE setcustomerName NOTIFY customerNameChanged)
    Q_PROPERTY(int custId READ custId WRITE setCustId NOTIFY custIdChanged)

public:
    explicit MyBusinessLogic(QObject *parent = nullptr);
    QString customerName() const;
    int custId() const;

    Q_INVOKABLE void processingInBusinessLogic();

signals:
    void customerNameChanged(QString customerName);

    void custIdChanged(int custId);

public slots:
    void setcustomerName(QString customerName);

    void setCustId(int custId);

private:
    QString m_customerName;
    int m_custId;
};

#endif // MYBUSINESSLOGIC_H
